<!DOCTYPE html>
<html>
<head>
	<title></title>
	<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body style="margin: 0px  0px  0px  0px ;">
		<div id="overlay">
		</div>
		<div id="comment-panel" class="panel" style="margin-left: auto;margin-right: auto;">
			<button class="btn-red sm btn" id="close-overlay">X</button> Fermer		<h4 class="push-right">Commenter</h4>
			<hr>
			<div class="comment-list">
				<div class="comment">
					<div class="comment-header">
							<img src="css/imgs/thumb.png" class="img-comment">
							<strong>Maike</strong>	
							00/00/0000
						</div>					
					<div class="comment-text">
						bonjours
					</div>
				</div>
				<div class="comment">
					<div class="comment-header">
							<img src="css/imgs/thumb.png" class="img-comment">
							<strong>Maike</strong>	
							00/00/0000
						</div>					
					<div class="comment-text">
						bonjours
					</div>
				</div>
			</div>
			<form id="comment-form" style="text-align: center;">
			<fieldset >
				<textarea maxlength="196" class="text-noresize" rows="10" cols="50" name="comment-entry" style="text-align: left;"></textarea>
			</fieldset>
				<button type="submit" class="btn btn-blue med"> Commenter <span class="icon icon-comment"></span></button>
			</form> 

		</div>
		<div id="message-panel" class="panel">
			<button class="btn-red sm btn" id="close-overlay">X</button> Fermer		<h4 class="push-right">Publier</h4>
			<hr>
			<form id="message-form" style="text-align: center;">
			<fieldset >
				<textarea maxlength="196" class="text-noresize" rows="10" cols="50" name="message-entry" style="text-align: left;"></textarea>
			</fieldset>
				<button type="submit" class="btn btn-blue med"> Publier <span class="icon icon-send"></span></button>
			</form>	
		</div>
		<nav class="fixed">
		<ul>
			<li id="logo">twister</li>
			<li class="nav-btn"><a href="test.html" title ="roue libres">Deconnexion</a></li>
			<li class="nav-btn"><a href="#">Parametre</a></li>
			<!--
			<li class="nav-btn"><span class="nav-txt">Mon Pseudo</span>
				<ul class="drop">
					<li class="dropitem">Parametres</li>
					<li class="dropitem">Deconnexion</li>
					<li class="dropitem"><span class="icon icon-home"></span></li>

				</ul>
			</li>
			!-->
		</ul>
		</nav>
		<section>
			<div class="box-profile">
				<div class="profil">
					<img src="css/imgs/thumb.png" class="img-profile">
					<div class="profile-text">
						<h4 class="profile-name">Mon Pseudo</h4>
						<p>mon profil<br>Inscrit le 00/00/0000</p>
					</div>
				</div>
				<hr>
				<button class="btn btn-blue">Configuration <span class="icon icon-gear"></span></button>
				<button class="btn btn-red push-right">Deconnexion</button>
			</div>

			<div class="box-messages">
				<!-- <h1>Messages</h1>
				<hr> -->
				<div class="message">
					<div class="message-header">
						<img src="css/imgs/thumb.png" class="img-message">
						<strong>Maike</strong>	
						00/00/0000
					</div>
					<div class="message-text">
						blblabla
						blblabla
						blblabla
						<br>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
						<br>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia 
						<br>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia 
						<br>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia 
						<br>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia 
						<br>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia 
						blblabla
					</div>
					<button class="btn-yellow sm btn com-btn" style="width: 100%">Coms (10)</button>
				</div>
				<div class="message">
					<div class="message-header">
						<img src="css/imgs/thumb.png" class="img-message">
						<strong>Maike</strong>	
						00/00/0000
					</div>
					<div class="message-text">
						Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.


					</div>
					<button class="btn-yellow sm btn com-btn" style="width: 100%">Coms (10)</button>
				</div>
			</div>
			<div class="box-friends testjs"">
				<div id="testjs"></div>
				<hr>
				<a href="">
				<img src="css/imgs/thumb.png" class="img-friends">
				</a>
				<a href="">
				<img src="css/imgs/thumb.png" class="img-friends">
				</a>
				<a href="">
				<img src="css/imgs/thumb.png" class="img-friends">
				</a>
				<a href="">
				<img src="css/imgs/thumb.png" class="img-friends">
				</a>
				<a href="">
				<img src="css/imgs/thumb.png" class="img-friends">
				</a>

			</div>
			<div class="box-friends testjs">
				<h1>Mes Stats</h1>
				<hr>
				<h1>100 Messages <span class="icon icon-mail"></h1>
				<h1>100 Amis <span class="icon icon-friends"></h1>
				<h1>100 Croiveurs <span class="icon icon-follows"></h1>

			</div>
<!-- 			<div class="box" style="width: 98%; text-align: center;">
				<div class="big inline-block push-left">
					<strong>100</strong> <span class="icon icon-mail"></span>
				</div>
				<div class="big inline-block" >
					<strong>100</strong> <span class="icon icon-friends"></span>
				</div>
				<div class="big inline-block push-right">
					<strong>100</strong> <span class="icon icon-follows"></span>
				</div>
			</div> -->
		</section>
		<div class="box-outils">
				<button class="btn-blue sm btn" id="btn-rediger">rediger</button>
		</div>
</body>
</html>
<script type="text/javascript"></script>
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mustache.js/2.3.0/mustache.min.js"></script>
<script type="text/javascript">
	$(document).ready(function() {
		var test = {name:"bill",number: $(".box-friends").children("a").length };
		var temp = "<h1>Mes Amis ( {{number}} )</h1>";
		var html = Mustache.to_html(temp,test);
		$("#testjs").html(html);
	});

	$(".message-text").on("click", function(e) {
	  console.log("Event: ", e);
	  console.log("Current Target of Event: ", e.currentTarget);
	  console.log("this: ", $(this).css("height"));
	/*  $(this).css('max-height', "auto");
	*/  
		$(".message-text").css({
	  	'max-height': '100px',
	  	'overflow': 'hidden',
	  	});
		$(this).css({
	  	'max-height': '400px',
	  	'overflow': 'scroll',
	  });
	  console.log("$(this): ", $(this));
	});
	$(document).on('click', '.com-btn', function(event) {
		console.log("$(this): ", $(this));
		$("#overlay").css('display', 'block');
		$("#comment-panel").css('display', 'block');

	});
	$(document).on('click', '#overlay', function(event) {
		$(this).css('display', 'none');
		$(".panel").css('display', 'none');
	});
	$(document).on('click', '#close-overlay', function(event) {
		$("#overlay").css('display', 'none');
		$(".panel").css('display', 'none');
	});
	$(document).on('click', '#btn-rediger', function(event) {
		$("#overlay").css('display', 'block');
		$("#message-panel").css('display', 'block');
	});
</script>
